#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-hamt
version:              1.2.1
visibility:           public
id:                   stm-hamt-1.2.1-1Z3e2nm30DCDSX9SCcAz1k
key:                  stm-hamt-1.2.1-1Z3e2nm30DCDSX9SCcAz1k
license:              MIT
copyright:            (c) 2016, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/stm-hamt
synopsis:             STM-specialised Hash Array Mapped Trie
description:
    A low-level data-structure,
    which can be used to implement higher-level interfaces like
    hash-map and hash-set.
    Such implementations are presented by the
    <http://hackage.haskell.org/package/stm-containers stm-containers>.

category:             Data Structures, STM, Concurrency
abi:                  ca8215add122f0b9631c0d1af1da7a56
exposed:              True
exposed-modules:      StmHamt.Hamt StmHamt.SizedHamt
hidden-modules:
    StmHamt.Constructors.Branch StmHamt.Focuses StmHamt.IntOps
    StmHamt.ListT StmHamt.Prelude StmHamt.Types StmHamt.UnfoldlM

import-dirs:          /usr/lib/ghc-9.2.8/site-local/stm-hamt-1.2.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/stm-hamt-1.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-stm-hamt
hs-libraries:         HSstm-hamt-1.2.1-1Z3e2nm30DCDSX9SCcAz1k
depends:
    base-4.16.4.0 deferred-folds-0.9.18.6-2hROn07hzyWBmHh6LH1egA
    focus-1.0.3.2-IfoLIwKY3yh6Kmd3UuIGbv
    hashable-1.4.4.0-CxCIesSa4aLFiFeBLAsQal
    list-t-1.0.5.5-FR40BfprFHIAh98jb2VDEQ
    primitive-0.7.4.0-2x9HuitYxlcInteNIbUTzK
    primitive-extras-0.10.2-8Qpl1jpbstiFzbf3qTafRJ transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-stm-hamt/html/stm-hamt.haddock
haddock-html:         /usr/share/doc/haskell-stm-hamt/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

